version: "3.7"

services: 
  logsfile_api:
    build:
      context: .
      dockerfile: Dockerfile
    image: registry.gitlab.spinsoft.co.th/d1669/backend/api-to-logsfile:1.1.0
    restart: always
    ports:
      - 8040:8080
    environment:
      - TZ=Asia/Bangkok
      - API_VERSION=${API_VERSION}
      - DB_HOST=${DB_HOST}
      - MAX_UPLOAD_SIZE=${MAX_UPLOAD_SIZE}
      - EXPIRED_DATE_LOG=${EXPIRED_DATE_LOG}
      - MINIO_HOST=${MINIO_HOST}
      - MINIO_KEY_ID=${MINIO_KEY_ID}
      - MINIO_ACCESS_KEY=${MINIO_ACCESS_KEY}
      - MINIO_BUCKET=${MINIO_BUCKET}
    volumes:
      - .:/app
    networks:
      - d1669-api-log-files
    depends_on: 
      - logsfile_db

  logsfile_db:
    image: mariadb:10.5.10
    restart: always
    volumes:
      - ./mariadb:/var/lib/mysql
    environment:
      - TZ=Asia/Bangkok
      - MYSQL_ROOT_PASSWORD=passwd
    networks:
      - d1669-api-log-files

  logsfile_pma:
    image: phpmyadmin/phpmyadmin:5.1
    restart: always
    environment:
      - PMA_ARBITRARY=1
      - PMA_HOST=logsfile_db
      - UPLOAD_LIMIT=1024M
    ports:
      - "8041:80"
    depends_on:
      - logsfile_db
    networks:
      - d1669-api-log-files
      
  # minio:
  #   image: minio/minio:RELEASE.2021-08-05T22-01-19Z
  #   restart: always
  #   ports:
  #     - 9000:9000
  #     - 9001:9001
  #   environment:
  #     - MINIO_ROOT_USER=AKIAIOSFODNN7EXAMPLE
  #     - MINIO_ROOT_PASSWORD=wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY
  #   volumes:
  #     - ./mnt/data:/data
  #   command: server /data --console-address ":9001"

networks: 
  d1669-api-log-files: